Terminate a work assignment
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2026-06-01"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate"
payload = { "effective_date": "2026-06-01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_date: '2026-06-01'})
};
fetch('https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_date' => '2026-06-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate"
payload := strings.NewReader("{\n \"effective_date\": \"2026-06-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"effective_date\": \"2026-06-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_date\": \"2026-06-01\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "work_assignment",
"data": {
"title": null,
"title_translations": null,
"title_translated": null,
"employee": {
"id": "<id>",
"object": "employee",
"links": {
"self": "/employees/<id>"
}
},
"pay_schedule": {
"id": "<id>",
"object": "pay_schedule",
"links": {
"self": "/pay_schedules/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"current_tax_jurisdiction": "ca_on",
"is_primary": true,
"accrued_vacation_pay": 0,
"paid_vacation_pay": 0,
"first_non_draft_period_start": null,
"last_non_draft_period_end": null,
"available_tax_properties": [
"ca::province_of_employment",
"ca::province_of_work",
"ca::federal_oc_surtax_exempt",
"ca::cpp_exempt",
"ca::ei_exempt",
"ca::qc::qpp_exempt",
"ca::qc::qpip_exempt",
"ca::nt::territorial_payroll_tax",
"ca::nu::territorial_payroll_tax",
"ca::federal::additional_tax",
"ca::federal::claim_amount",
"ca::federal::total_income_less_than_total_claim_amount",
"ca::federal::annual_deduction_at_source",
"ca::statutory_holiday_pay",
"ca::first_nation_exemptions",
"ca::ab::workers_compensation_class",
"ca::bc::workers_compensation_class",
"ca::mb::workers_compensation_class",
"ca::nb::workers_compensation_class",
"ca::nl::workers_compensation_class",
"ca::ns::workers_compensation_class",
"ca::nt::workers_compensation_class",
"ca::nu::workers_compensation_class",
"ca::on::workers_compensation_class",
"ca::pe::workers_compensation_class",
"ca::qc::workers_compensation_class",
"ca::sk::workers_compensation_class",
"ca::yt::workers_compensation_class",
"ca::on::claim_amount",
"ca::on::dependent_children_credit",
"ca::on::impaired_dependants_credit"
],
"external_ref": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/work_assignments/<id>"
}
}Work Assignments
Terminate a work assignment
POST
/
work_assignment
/
{work_assignment}
/
terminate
Terminate a work assignment
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2026-06-01"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate"
payload = { "effective_date": "2026-06-01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_date: '2026-06-01'})
};
fetch('https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_date' => '2026-06-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate"
payload := strings.NewReader("{\n \"effective_date\": \"2026-06-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"effective_date\": \"2026-06-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/work_assignment/{work_assignment}/terminate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_date\": \"2026-06-01\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "work_assignment",
"data": {
"title": null,
"title_translations": null,
"title_translated": null,
"employee": {
"id": "<id>",
"object": "employee",
"links": {
"self": "/employees/<id>"
}
},
"pay_schedule": {
"id": "<id>",
"object": "pay_schedule",
"links": {
"self": "/pay_schedules/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"current_tax_jurisdiction": "ca_on",
"is_primary": true,
"accrued_vacation_pay": 0,
"paid_vacation_pay": 0,
"first_non_draft_period_start": null,
"last_non_draft_period_end": null,
"available_tax_properties": [
"ca::province_of_employment",
"ca::province_of_work",
"ca::federal_oc_surtax_exempt",
"ca::cpp_exempt",
"ca::ei_exempt",
"ca::qc::qpp_exempt",
"ca::qc::qpip_exempt",
"ca::nt::territorial_payroll_tax",
"ca::nu::territorial_payroll_tax",
"ca::federal::additional_tax",
"ca::federal::claim_amount",
"ca::federal::total_income_less_than_total_claim_amount",
"ca::federal::annual_deduction_at_source",
"ca::statutory_holiday_pay",
"ca::first_nation_exemptions",
"ca::ab::workers_compensation_class",
"ca::bc::workers_compensation_class",
"ca::mb::workers_compensation_class",
"ca::nb::workers_compensation_class",
"ca::nl::workers_compensation_class",
"ca::ns::workers_compensation_class",
"ca::nt::workers_compensation_class",
"ca::nu::workers_compensation_class",
"ca::on::workers_compensation_class",
"ca::pe::workers_compensation_class",
"ca::qc::workers_compensation_class",
"ca::sk::workers_compensation_class",
"ca::yt::workers_compensation_class",
"ca::on::claim_amount",
"ca::on::dependent_children_credit",
"ca::on::impaired_dependants_credit"
],
"external_ref": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/work_assignments/<id>"
}
}Authorizations
Body
application/json
Response
200 - application/json
OK
Hide child attributes
Hide child attributes
When true, the standard tax reductions are applied to this work assignment's Pay Stubs. Only one work assignment per Employee per Business Entity may be primary. If none is explicitly set to primary, the earliest work assignment is treated as primary. When the primary work assignment is archived, primary passes to the earliest non-archived work assignment as of the archive date. With none, the archived work assignment stays primary.

